Description

For issue tracking in our software , we have just started using redmine.

Our software is in the development since last 12 years and it is planned to use for similar or more time in future.

One of the key challange we are facing is , over long period of time , developers/designers/testers tend to forget coreltation between

issues/features.Hence it is very time consuming to identify correct design change/ testcases for adding new features

To circumvent this kind of situation , It is better if system is having trackback facility.For e.g. consider follwing scenario

where Function1 had introduced defect1 ,defect2,defect3 and it is having feature1,feature2 etc.

Function1

 |-Defect1

 |-Defect2

 |-Defect3

 |-Feature1

     |-Defect4

     |-Defect5

            |-Defect6

 |-Feature2

     |-Defect7

     |-Defect8

 In the above situation , when developers identify defect5 has caused defect6 . for a better system check , it is better if user checks

consistancy of feature1 and fucntion1 and developer does not need to test feature2 and its children as well defect4. this requires

trackback facility in issue management system where user should be able to identify all parents of issue (all parents of Defect6 in

current example)

With current redmine, I can add a custom field for addition of parent item. But still I can search for only 1 level and not till root level.

Please do let me know if I can achive my requirements using some customization.

Regards

Imran Sheth

History

#1 - 2009-03-16 20:57 - Alexey Lustin

very similar what yours feature seems like #443

but it is created about year ago

#2 - 2009-03-17 09:47 - Imran sheth

OK , But this feature is not part of standard release

Could you let me know how to get retrive release with this patch

#3 - 2013-03-22 16:12 - Dipan Mehta

This can now be easily achieved through sub-task and issue relations. Hence this issue can now be closed.

#4 - 2013-03-26 06:46 - Toshi MARUYAMA

- Category set to Issues

- Status changed from New to Closed

2025-05-02 1/2



Dipan Mehta wrote:

This can now be easily achieved through sub-task and issue relations. Hence this issue can now be closed.

 Thank you for your feedback.
